LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XTasksSupplier Interface Referencepublished

use XFramesSupplier instead of that More...

`import <XTasksSupplier.idl;`

Inheritance diagram for XTasksSupplier:

## Public Member Functions
com::sun::star::container::XEnumerationAccess | getTasks ()
| use XFramesSupplier::getFrames() instead of this one
XTask | getActiveTask ()
| use XFramesSupplier::getActiveFrame() instead of this one
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

use XFramesSupplier instead of that

Deprecated

## Member Function Documentation

## ◆ getActiveTask()

XTask getActiveTask | ( |  | ) |

use XFramesSupplier::getActiveFrame() instead of this one

Deprecated

## ◆ getTasks()

com::sun::star::container::XEnumerationAccess getTasks | ( |  | ) |

use XFramesSupplier::getFrames() instead of this one

Deprecated

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XTasksSupplier.idl